<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommander.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommander_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommander.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __buttonsCommander_HPP__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __buttonsCommander_HPP__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Commander.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderButton.hpp&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERPUSH</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderPush.hpp&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERANALOGPUSHES</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderAnalogPushes.hpp&quot;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERSWITCH</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderSwitch.hpp&quot;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderSwitchOnePin.hpp&quot;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderSwitchTwoPins.hpp&quot;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERENCODER</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderEncoder.hpp&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERPOTENTIOMETER</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderPotentiometer.hpp&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#ifdef VISUALSTUDIO</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;ButtonsCommanderKeyboard.hpp&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define ButtonsCommander ButtonsCommanderClass::GetCurrent()</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html">   40</a></span>&#160;<span class="keyword">class </span><a class="code" href="classButtonsCommanderClass.html">ButtonsCommanderClass</a> : <a class="code" href="classCommander.html">Commander</a></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;{</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="comment">// Start of the linked list of all buttons. Each button have the address of its follower or NULL !</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *pFirstButton;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keyword">static</span> <a class="code" href="classButtonsCommanderClass.html">ButtonsCommanderClass</a> *pButtonsCommander;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="classButtonsCommanderClass.html#a75779d09c493df9641ec3b24ec0fdc91">ButtonsCommanderClass</a>();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderClass.html#a3880ee3f88cb1407ca600ae12646d5b4">begin</a>();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderClass.html#abc33c28391bc3bedc44a157f10624ca0">beforeFirstLoop</a>();</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *<a class="code" href="classButtonsCommanderClass.html#a79e6b42af26863ca1e8fd778b2724ac5">Add</a>(<a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *inpButton);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a>* <a class="code" href="classButtonsCommanderClass.html#abb8a7f8c89b8e2f51f3838cf399bbe60">GetFromId</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId) <span class="keyword">const</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderClass.html#acda3beac661dcf22d2593c76fde1a634">loop</a>();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordtype">void</span> printCommander();</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keyword">static</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *<a class="code" href="classButtonsCommanderClass.html#ab73b7eebdee90e9a67f76c04b544e7ba">AddButton</a>(<a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *inpButton);</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html#a74b36f7195c430ca7bb4699e5114db83">   87</a></span>&#160;        <span class="keyword">static</span> <span class="keyword">inline</span> <a class="code" href="classButtonsCommanderClass.html">ButtonsCommanderClass</a> &amp;<a class="code" href="classButtonsCommanderClass.html#a74b36f7195c430ca7bb4699e5114db83">GetCurrent</a>() { <span class="keywordflow">return</span> *(ButtonsCommanderClass::pButtonsCommander);}</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;};</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classButtonsCommanderClass_html_a74b36f7195c430ca7bb4699e5114db83"><div class="ttname"><a href="classButtonsCommanderClass.html#a74b36f7195c430ca7bb4699e5114db83">ButtonsCommanderClass::GetCurrent</a></div><div class="ttdeci">static ButtonsCommanderClass &amp; GetCurrent()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8hpp_source.html#l00087">ButtonsCommander.hpp:87</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_ab73b7eebdee90e9a67f76c04b544e7ba"><div class="ttname"><a href="classButtonsCommanderClass.html#ab73b7eebdee90e9a67f76c04b544e7ba">ButtonsCommanderClass::AddButton</a></div><div class="ttdeci">static ButtonsCommanderButton * AddButton(ButtonsCommanderButton *inpButton)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00035">ButtonsCommander.cpp:35</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_acda3beac661dcf22d2593c76fde1a634"><div class="ttname"><a href="classButtonsCommanderClass.html#acda3beac661dcf22d2593c76fde1a634">ButtonsCommanderClass::loop</a></div><div class="ttdeci">unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00089">ButtonsCommander.cpp:89</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_a79e6b42af26863ca1e8fd778b2724ac5"><div class="ttname"><a href="classButtonsCommanderClass.html#a79e6b42af26863ca1e8fd778b2724ac5">ButtonsCommanderClass::Add</a></div><div class="ttdeci">ButtonsCommanderButton * Add(ButtonsCommanderButton *inpButton)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00043">ButtonsCommander.cpp:43</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_abc33c28391bc3bedc44a157f10624ca0"><div class="ttname"><a href="classButtonsCommanderClass.html#abc33c28391bc3bedc44a157f10624ca0">ButtonsCommanderClass::beforeFirstLoop</a></div><div class="ttdeci">void beforeFirstLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00078">ButtonsCommander.cpp:78</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_a3880ee3f88cb1407ca600ae12646d5b4"><div class="ttname"><a href="classButtonsCommanderClass.html#a3880ee3f88cb1407ca600ae12646d5b4">ButtonsCommanderClass::begin</a></div><div class="ttdeci">void begin()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00028">ButtonsCommander.cpp:28</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="classCommander_html"><div class="ttname"><a href="classCommander.html">Commander</a></div><div class="ttdef"><b>Definition:</b> <a href="Commander_8hpp_source.html#l00023">Commander.hpp:23</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_abb8a7f8c89b8e2f51f3838cf399bbe60"><div class="ttname"><a href="classButtonsCommanderClass.html#abb8a7f8c89b8e2f51f3838cf399bbe60">ButtonsCommanderClass::GetFromId</a></div><div class="ttdeci">ButtonsCommanderButton * GetFromId(unsigned long inId) const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00061">ButtonsCommander.cpp:61</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_a75779d09c493df9641ec3b24ec0fdc91"><div class="ttname"><a href="classButtonsCommanderClass.html#a75779d09c493df9641ec3b24ec0fdc91">ButtonsCommanderClass::ButtonsCommanderClass</a></div><div class="ttdeci">ButtonsCommanderClass()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00023">ButtonsCommander.cpp:23</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html"><div class="ttname"><a href="classButtonsCommanderClass.html">ButtonsCommanderClass</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8hpp_source.html#l00040">ButtonsCommander.hpp:40</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommander.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
